### Angular controller

# MapController source

  ##### Dependencies:

  Name | Type | Description
  --- | --- | ---
  $scope | service | controller scope
  $q | service | promise service
  NavigatorGeolocation | service | Google NavigatorGeolocation wrapper
  GeoCoder | service | Google GeoCoder wrapper
  Attr2Options | service | Converts element attributes to Google Maps API options

### Methods

#### addObject (groupName, obj)

  Add an object to the collection of group

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  groupName |  | the name of collection that object belongs to
  obj |  | an object to add into a collection, i.e. marker, shape

#### deleteObject (objs, obj)

  Delete an object from the collection and remove from map

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  objs | Array | the collection of objects. i.e., map.markers
  obj | Object | the object to be removed. i.e., marker

#### getGeoLocation (string) -> Promise

  returns the location of an address or 'current-location'

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  string | String | an address to find the location

  ##### Returns:

  Type | Description
  --- | ---
  Promise | latlng the location of the address